Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.scoring
Class ScoringAdapter

    java.lang.Object
      de.uka.ipd.consensus.foundation.scoring.ScoringAdapter

All Implemented Interfaces:
  EventListener, ScoringListener

public class ScoringAdapter
extends Object
implements ScoringListener

An adapter class for receiving scoring events. The methods in this class are empty. This class exists for convenience for creating listener objects if you only need one of the two listener's methods.

Version:
  2006-06-14
Author:
  Thomas Much

Constructor Summary
`ScoringAdapter()`

Method Summary
`void` | `score(ScoringEvent event)` In this method a ScoringListener can change the user's score.
`void` | `scored(ScoringEvent event)` This method is called after all listener's `score()` methods have been called for this ScoringEvent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScoringAdapter

    public ScoringAdapter()

Method Detail

### score

    public void score(ScoringEvent event)

  Description copied from interface: `ScoringListener`
  In this method a ScoringListener can change the user's score. It is called by the IncentiveManager.

  Specified by:
    `score` in interface `ScoringListener`
  See Also:
    `User.getScore()`, `User.setScore(double)`

### scored

    public void scored(ScoringEvent event)

  Description copied from interface: `ScoringListener`

  This method is called after all listener's `score()` methods have been called for this ScoringEvent.

  Do not change the user's score here! This method is intended to be used for calculations based upon the finished scoring for this ScoringEvent, e.g. calculating the user's roles/rights.

  Specified by:
    `scored` in interface `ScoringListener`
  See Also:
    `User.getScore()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD